import { Successful } from '@4lch4/koa-oto'
import { RouterContext } from '@koa/router'
import { BaseRoute } from '../lib/index.js'

export class HealthRoute extends BaseRoute {
  async getMethod(ctx: RouterContext) {
    Successful.ok(ctx)

    this.logger.success(`${ctx.method} ⇥ ${ctx.path} ⇥ (${ctx.status})`)
  }

  build() {
    this.router.get('/health/liveness', async ctx => this.getMethod(ctx))
    this.router.get('/health/readiness', async ctx => this.getMethod(ctx))

    return this.router
  }
}
